Skip to content

List existing Candidates

Request

Lists existing Candidates with the input parameters.

Note: This call will not return candidates with non-US work_locations. Use GET /candidates/{id} to retrieve candidates outside the US.

Security
basic_auth
Query
emailstring

Returns candidates with the input email address.

full_namestring

Returns candidates with the input full_name.

adjudicationstring

Returns candidates with the input adjudication. Null if no adjudication has been made.

custom_idstring

Returns candidates with the input custom_id.

created_afterstring, (date-time)

Returns candidates created after the input date.

created_beforestring, (date-time)

Returns candidates created before the input date.

report_adjudicated_afterstring, (date-time)

Returns candidates adjudicated after the input date.

report_adjudicated_beforestring, (date-time)

Returns candidates adjudicated before the input date.

report_adjudicator_emailstring

Returns candidates with a report adjudicated by someone with input adjudicator_email.

report_revised_afterstring, (date-time)

Returns candidates with a report revised after the input date.

report_revised_beforestring, (date-time)

Returns candidates with a report revised before the input date.

driver_license_numberstring

Returns candidates with the input driver_license_number.

geo_idstring

Returns candidates with the input geo_id.

program_idstring

Returns candidates with the input program_id.

metadataobject

Returns candidates matching the input key-values. Input keys will be matched exactly. Input values will be pre- and post-pended with wildcards. (For example: A query for 1234 will return results for *1234*.)

pagenumber or null

Specifies the page number to retrieve.

per_pagenumber or null

Indicates how many records each page should contain. The default value is 25 records.

curl -i -X GET \
  -u '<username>:<password>' \
  'https://docs.checkr.com/_mock/apis/openapi/candidates?email=string&full_name=string&adjudication=string&custom_id=string&created_after=2019-08-24T14%3A15%3A22Z&created_before=2019-08-24T14%3A15%3A22Z&report_adjudicated_after=2019-08-24T14%3A15%3A22Z&report_adjudicated_before=2019-08-24T14%3A15%3A22Z&report_adjudicator_email=string&report_revised_after=2019-08-24T14%3A15%3A22Z&report_revised_before=2019-08-24T14%3A15%3A22Z&driver_license_number=string&geo_id=string&program_id=string&metadata=&page=0&per_page=0'

Responses

List of Candidates

Bodyapplication/json
objectstring

A list

Value:"list"
next_hrefstring, (uri)
previous_hrefstring, (uri)
countinteger
Example:2
dataArray of objects(Candidate)
Response
{ "object": "list", "next_href": "http://example.com", "previous_href": "http://example.com", "count": 2, "data": [ { … } ] }